"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.summate = summate;
exports.formatNumber = formatNumber;

function summate(data) {
  return data.reduce(function (a, b) {
    return a + b.value * 1;
  }, 0);
}
/**
 * 格式化千分位
 * @param num
 * @returns {string}
 */


function formatNumber(num) {
  var bool = Number.isInteger(num);
  var reg = /\d{1,3}(?=(\d{3})+$)/g;

  if (bool) {
    return "".concat(num).replace(reg, '$&,');
  }

  var temp = "".concat(num).split('.');
  return temp[0].replace(reg, '$&,') + '.' + temp[1];
}